ggz-wrapper(6)

NAME

ggz-wrapper - GGZ Gaming Zone command line core client

SYNOPSIS

ggz-wrapper [--gametype GAMENAME] [--user NAME] [--destnick NAME] [OPTION...]

DESCRIPTION

The GGZ Gaming Zone allows people to play many games online using so-called GGZ core clients which are chat clients with integrated game launchers.

The ggz-wrapper tool is a small special GGZ core client for the command line. It does not support chat or display of rooms, tables and players, but instead is useful for fast launching of online games. Therefore, its main purpose is to be invoked from instant messengers such as gaim or kopete.

It currently supports all two-player games, as human against human or human against bot. If no options are given, ggz-wrapper will invoke a Tic-Tac-Toe game client on the default GGZ server, live.ggzgamingzone.org, logging in as guest user.

OPTIONS

--gametype=GAMENAME
    The name of the game to play, e.g. TicTacToe or Chess. This option expects a case-sensitive argument which must match one of the available game modules in ggz.modules. If the game type is not supported by the specified GGZ server, the invocation will fail.

--user=NAME
    The name of the player who is running the client. The default is to run with an automatically generated guest user name. In order to use a registered name, the option --password is implied.

--destnick=NAME
    The name of the other player. If omitted or empty, the player running the client will launch the table (game host). If empty, other player will be the bot. If not empty, player will join the table which the other player already launched.

--password=PASSWORD
    Password to use in case of playing as a registered user. Note that on a multi-user systems, other users might see the password, which is a security risk.

--server=SERVER
    The server to play on. If not specified, the default server is ggz://live.ggzgamingzone.org.

--port=PORT
    The port to use to connect to the GGZ server. PORT is almost always 5688, so this option is rarely needed.

AUTHORS

The GGZ Development Team <ggz-dev@mail.ggzgamingzone.org>

SEE ALSO

ggz.modules(5), ggz(7)